// pages/articleweb/articleweb.js
const $api = require('../../utils/api.js').API;

Page({

  /**
   * 页面的初始数据
   */
  data: {
    info:{},
    name:'',
    articleid:'',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    $api.getArticle({id:options.id}).then(res=>{
      let data = res.data.data
      this.setData({
        info:data,
        name:res.data.data.name,
        articleid:options.id,
      })
      
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {
    return {
      title: this.data.info.name,
      path: '/articleweb/articleweb?id='+this.data.articleid,
      imageUrl:this.data.info.img,
    }
  },
  onShareTimeline(){
    return {
      title: this.data.info.name,
      path: '/articleweb/articleweb?id='+this.data.articleid,
      imageUrl:this.data.info.img,
    }

  },
})